#! /bin/bash
# Script name: find_protobuf.sh
#
# Purpose: To examine the running system and determine the correct
#    version of the protocol buffer jar file to use.
#
# Invoking arguments:
#    None.
#
# Use:
#    . /cyflex/cmds/find_protobuf.sh
#
# Notes:
#    This sets the environment variable PROTO.  This should then be used
#    in CLASSPATH settings.
#
# History:
#   08/24/11 - Rob Janes - Added JFreeChart jar files.
#

# Determine the protocol buffer version to reference.  There are
PROTO=/cyflex/specfilegui.3rdparty/protobuf-2.3.0.jar
