#!/bin/bash

# Run the periodic sys log replication process
#
# No arguments required

# Verbose mode setting
verbose="0"
if [ $# -gt 0  ]; then
 if [ "$1" == "-v" ]; then
    verbose="1"
  fi
fi

BASE=/opt/sys_log_replicate

. /cyflex/cmds/find_protobuf.sh

# Java set up
export JAVA_HOME=/cyflex/java_jdk
PATH=$JAVA_HOME/bin:$PATH
D3=/cyflex/specfilegui.3rdparty
GUI=/cyflex/specfilegui
JARS=$D3/ojdbc.jar\
:$D3/sqlitejdbc.jar\
:$GUI/specfilegui.jar\
:$GUI/system_log_replication.jar\
:$PROTO

# Run application
if [ "$verbose" == "0" ]; then
java -DPropertiesFile=/cell/cui_properties.txt com.cybermetrix.cyflex.applications.SystemLogReplicate $BASE/properties.txt  1>/dev/null 2>/dev/null
else
java -DPropertiesFile=/cell/cui_properties.txt com.cybermetrix.cyflex.applications.SystemLogReplicate $BASE/properties.txt  
fi
